View Manager Create List View From View

View Manager Create List View From View
Create a *ListView* object for this session.

Create a ListView object for this session.

This method uses an existing view to construct the object list for the new view.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/ViewManager/{moId}/CreateListViewFromView
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case ViewManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
CreateListViewFromViewRequestType of type(s) application/json
Required

Show optional properties

{
    "view": {}
}
{
    "view": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
view
Required

The view that will provide the object list for the new ListView object.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MoRefListView of type(s) application/json
This response body class contains all of the following: MoRefManagedObjectView
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"view":"{}"}' https://{api_host}/sdk/vim25/{release}/ViewManager/{moId}/CreateListViewFromView